import wx
import wx.html2 as webview

class WebBrowserApp(wx.Frame):
    def __init__(self, parent, title):
        super(WebBrowserApp, self).__init__(parent, title=title, size=(800, 600))

        self.browser = webview.WebView.New(self)
        self.url_input = wx.TextCtrl(self, style=wx.TE_PROCESS_ENTER)
        self.url_input.Bind(wx.EVT_TEXT_ENTER, self.load_url)

        self.url_input.SetValue("https://www.google.com")
        self.load_url(None)
        
        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(self.url_input, 0, wx.EXPAND | wx.ALL, 5)
        sizer.Add(self.browser, 1, wx.EXPAND, 10)
        
        self.SetSizerAndFit(sizer)
        self.Bind(wx.EVT_CLOSE, self.on_close)
        
        # Load a custom icon
        icon = wx.Icon("cheesrlogo.ico", wx.BITMAP_TYPE_ICO)
        self.SetIcon(icon)

    def on_close(self, event):
        self.Destroy()

    def load_url(self, event):
        url = self.url_input.GetValue()
        self.browser.LoadURL(url)

if __name__ == '__main__':
    app = wx.App(False)
    frame = WebBrowserApp(None, "Cheesr Browser")
    
    frame.Maximize()
    
    frame.Show()
    app.MainLoop()
